import {
    Pipe,
    PipeTransform
} from '@angular/core';

import { TimeZonePickerService } from '../services/timezonepicker.service';


@Pipe({
    name: 'countryname'
})
export class CountryNamePipe implements PipeTransform {

    constructor(private service: TimeZonePickerService) { }

    transform(iso: string): string {
        return this.service.getCountryName(iso);
    }
}
